$(buscar_productos());
$(ver_menu());

function buscar_productos(consulta){
    $.ajax({
        data: {consulta: consulta},
        url: '../functions/buscar_producto.php',
        type: 'post',
        dataType:'html',
        success:  function (response) {
            $('#buscar_producto').html(response);
        },
        error: function (error) {
            console.log(error); 
        }
    });
}

$(document).on('keyup','#caja_buscar_producto', function(){
    var valor = $(this).val();
    if(valor != ""){
        buscar_productos(valor);
    }else{
        buscar_productos();
    }
});
$(document).on('keyup','#caja_buscar_producto1', function(){
    var valor = $(this).val();
    if(valor != ""){
        ver_menu(valor);
    }else{
        ver_menu();
    }
});
function cambiar_datos_productos_nota(nombre_product,precio_product,id_product){
    document.getElementById('producto_nota').value = nombre_product;
    document.getElementById('precio').value = precio_product;
}

function enviarDatos(datos, url){
    $.ajax({
            data: datos,
            url: url,
            type: 'post',
            success:  function (response) {
                
                $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
                $('#sub_des_total').html(response);
                
                
            },
            error: function (error) {
                console.log(error); 
            }
    });
    
}

function vaciarDatos(){
    //$('#comensal_nota').val('');
    $('#cantidad').val('1');
    $('#producto_nota').val('');
    $('#descuento').val('');
    $('#precio').val('');
    $('#comentario').val('');
    $('#inlineRadio1').prop('checked', true);
    
}
function ver_menu(consulta){
    $.ajax({
        data: {consulta: consulta},
        url: '../functions/modal_2.php',
        type: 'post',
        dataType:'html',
        success:  function (response) {
            $('#modal_2').html(response);
        },
        error: function (error) {
            console.log(error); 
        }
    });
    
}






